﻿using UnityEngine;
using System.Collections;

public class MenuManager : MonoBehaviour {

	// Assign in this array objects to enable
	public GameObject[] enableAtAwake;
	// And here ones to disable
	public GameObject[] disableAtAwake;

	// Before anything happens
	private void Awake ()
	{
		// Enable all objects in enableAtAwake array
		foreach(GameObject currentGO in enableAtAwake)
		{
			currentGO.SetActive(true);
		}

		// Disable all objects in disableAtAwake array
		foreach(GameObject currentGO in disableAtAwake)
		{
			currentGO.SetActive(false);
		}
	}

	// Method called when we want to exit
	public void Exit ()
	{
		// If currently in Unity Editor
		#if UNITY_EDITOR
			// Stop play mode
			UnityEditor.EditorApplication.isPlaying = false;
		#endif
		// Exit the game
		Application.Quit();
	}
}
