﻿using UnityEngine;
using System.Collections;

public class DisappearOnClick : MonoBehaviour {

	// Declare the target we'll tween down to {0, 0, 0}
	public GameObject target;
	// Declare a float to configure the tween's duration
	public float duration = 0.3f;
	// Declare an event delegate variable to be set in Inspector
	public EventDelegate onDisappear;

	// When this object is clicked
	private void OnClick()
	{
		// Retrieve the new target's tween
		UITweener tween =
			TweenScale.Begin(target, duration, Vector3.one * 0.01f);
		// Set the new tween's effect method
		tween.method = UITweener.Method.EaseInOut;
		// Set the tween's onFinished event to the selected callback
		tween.SetOnFinished(onDisappear);
	}

	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
	
	}
}
