﻿using UnityEngine;
using System.Collections;

public class ShowTooltip : MonoBehaviour {

	// The localization key of the text to display
	public string key = "";

	// When the OnTooltip event is triggered on this object
	void OnTooltip(bool state)
	{
		// Get the final localized text
		string finalText = Localization.Get(key);
		
		// If the tooltip must be removed...
		if(!state)
		{
			// ...Set the finalText to nothing
			finalText = "";
		}
		
		// Request the tooltip display
		UITooltip.ShowText(finalText);
	}

	// At start
	void Start()
	{
		// If key parameter isn't defined in inspector...
		if(string.IsNullOrEmpty(key))
		{
			// ...Set it now based on the GameObject's name
			key = name + "_Tooltip";
		}
	}

	
	// Update is called once per frame
	void Update () {
	
	}
}
