﻿using UnityEngine;
using System.Collections;

public class DisableOnClick : MonoBehaviour {

	// The target to disable
	public GameObject target;
	// Either on left click or right click
	public bool leftClick;

	// When an OnPress event occurs
	public void OnPress(bool pressed)
	{
		// If it's a press
		if(pressed)
		{
			// Get the touch ID
			int touchID = UICamera.currentTouchID;
			
			// If the touch ID matches the configuration
			if((touchID == -1 && leftClick) ||
			   (touchID == -2 && !leftClick))
			{
				// Disable the target
				target.SetActive(false);
			}
		}
	}

	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
	
	}
}
