﻿using UnityEngine;
using System.Collections;

public class FollowObject : MonoBehaviour {

	// The target you want to follow
	public Transform target;
	// The final offset to apply
	public Vector3 offset;
	// The  main camera that views the object to follow
	public Camera mainCamera;
	// The orthographic camera that renders the widget 
	public Camera uiCamera; 

	// Use this for initialization
	void Start () {
	
	}
	
	// At each frame, update the widget's position
	void Update()
	{
		if(target != null)
		{
			// Transpose target pos in maincam’s screen coordinates
			Vector3 finalPos = 
				mainCamera.WorldToScreenPoint(target.position);
			// Now, transpose it in UI camera's world
			finalPos = uiCamera.ScreenToWorldPoint(finalPos);
			// It’s an orthographic camera, Z axis is no use here
			finalPos = new Vector3(finalPos.x, finalPos.y, 0);
			// Apply the final position to target, with offset
			transform.position = finalPos + offset;
		}

	} 

}
